
 LinHES - Bug # 273: xscreensaver ignores keyboard/mouse/remote commands to resume

Status: Closed Priority: Normal
Author: graysky Category:
Created: 03/07/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: Basically, xscreensaver started from my ~/.fluxbox/apps has some issues coming out of screensaver mode 

under the following circumstance:
the idle time period is reached and there is no input from the user.  

In other words, I set my idle time for 5 min.  I boot the machine (front end in my case) and leave it sit for say 
10 min.  I go to use the remote, mouse, or keyboard and it will not stop the screensaver.  I have to 
ctrl+alt+backspace to restart X and use some input device before the 5 min period or else it will do it again.

Can others confirm?

History
03/07/2009 08:49 pm - jams
confirmed

03/08/2009 12:04 am - nickca
IIRC, xscreensaver did this when I had it installed on R5F27 as well. If there was no input before the screensaver activated, it wouldn't deactivate on 
input. On R5.5, xscreensaver always worked perfectly. I'm not sure what R5.5 did to make xscreensaver work so well.

03/08/2009 04:56 am - graysky
I have found that xscreensaver needs to finish loading before mythfronend starts on my old R5.5 system for it to work properly.  I thought this might be 
the case here too but I am getting mixed results.  In other words, this works sometimes... other times (on a reboot say) it does not.

Can I ask them others try this too please?

Here's what I did to test it:

1) Made /home/mythtv/delay.sh (see below)
2) Made it executable and owned by root 
  ($ chmod a+x /home/mythtv/delay.sh
   #chown root:root /home/mythtv/delay.sh)
3) Loaded up /usr/LH/bin/LinHES-run
4) Replaced the line that reads **STARTCMD="/usr/bin/mythfrontend -d -l /var/log/mythtv/mythfrontend.log"** with a line calling that script. In my case it 
was **STARTCMD="/home/mythtv/delay.sh"**

5) Rebooted.  Now X loads, then xscreensaver's splash screen comes up, nothing happens for 10 sec then mythfrontend starts.

Here is /home/mythtv/delay.sh:

<code>
#!/bin/sh
xscreensaver &
sleep 10s
mythfrontend -d -l /var/log/mythtv/mythfrontend.log
</code>

My xscreensaver is set for 2 min.  I wait 5 and see that the screensaver is active.  If I flick the mouse, it come out.  If I type a key on the keybaord, it 
comes out.  Other times, nothing brings it out... I would really appreciate others testing this whole delay concept and reporting back.
03/08/2009 08:16 am - graysky
I think I figured it out!  I believe it's the fault of unclutter!

You don't need to do any of my above post to get this to work.  Simply do the following:

1) Comment out the line in /usr/LH/bin/LinHES-run that reads: **/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents  &**

2) Add a startup line to your ~/.fluxbox/apps for xscreensaver before your line starting the LinHES-run script.  

That should do it.  My clue to this was the excessive CPU usage from unclutter when xscreensaver was on.  The screensaver pyro is very CPU friendly 
and show consume very little CPU time when running:

{{http://img9.imageshack.us/img9/7531/shot.png}}

Anyway, give this a try and see what you think.  It's been working for me :)

03/09/2009 06:13 pm - jams
Update your system and activate xscreensaver from the service menu.  Third page under the advanced option.
Seems to work correctly here.

03/09/2009 07:42 pm - graysky
OK... there is still this pesky problem about nvidia-beta not getting removed automatically:

<code>
# pacman -Syu
:: Synchronizing package databases...
 core-testing             105.6K  118.5K/s 00:00:01 [####################################] 100%
 extra-testing             39.3K   86.8K/s 00:00:00 [####################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (14): system-templates-1.0-5  LinHES-config-1.0-306  xdotool-20090126-1  
              LinHES-system-1.0-39  athcool-0.3.12-3  moblock-0.9rc2-8  moblockcontrol-1.0-10  
              nvidia-utils-beta-180.37-2  nvidia-180.29-2  mythtv-vdpau-0.21-4  
              nvidia-beta-180.37-2  runit-1.8.0-62  runit-scripts-1.8.0-39  
              xscreensaver-5.08-2  

Total Download Size:    43.77 MB
Total Installed Size:   112.96 MB

Proceed with installation? [Y/n] y
:: Retrieving packages from core-testing...
 system-templates-1....   561.3K  366.8K/s 00:00:02 [####################################] 100%
 LinHES-config-1.0-3...   617.2K  391.4K/s 00:00:02 [####################################] 100%
 xdotool-20090126-1-i686   16.0K   58.9K/s 00:00:00 [####################################] 100%
 LinHES-system-1.0-3...    11.8K   63.1K/s 00:00:00 [####################################] 100%
 nvidia-180.29-2-i686       2.5M  234.2K/s 00:00:11 [####################################] 100%
 runit-1.8.0-62-i686      548.4K  273.6K/s 00:00:02 [####################################] 100%
 runit-scripts-1.8.0...     6.9K   69.5K/s 00:00:00 [####################################] 100%
:: Retrieving packages from extra-testing...
 athcool-0.3.12-3-i686     19.5K   73.5K/s 00:00:00 [####################################] 100%
 moblock-0.9rc2-8-i686     12.9K   68.2K/s 00:00:00 [####################################] 100%
 moblockcontrol-1.0-...    20.7K   73.5K/s 00:00:00 [####################################] 100%
 nvidia-utils-beta-1...    10.1M  591.9K/s 00:00:17 [####################################] 100%
 mythtv-vdpau-0.21-4...    19.7M  483.2K/s 00:00:42 [####################################] 100%
 nvidia-beta-180.37-...     2.5M  306.3K/s 00:00:08 [####################################] 100%
 xscreensaver-5.08-2...     7.3M  437.4K/s 00:00:17 [####################################] 100%
checking package integrity...
(14/14) checking for file conflicts                 [####################################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
/lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko exists in both 'nvidia' and 'nvidia-beta'
nvidia: /lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko exists in filesystem
Errors occurred, no packages were upgraded.

[root@myth-bathroom hdtest]# pacman -Rd nvidia-beta
(1/1) removing nvidia-beta                          [####################################] 100%
[root@myth-bathroom hdtest]# pacman -Syu
:: Synchronizing package databases...
 core-testing is up to date
 extra-testing is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (13): system-templates-1.0-5  LinHES-config-1.0-306  xdotool-20090126-1  
              LinHES-system-1.0-39  athcool-0.3.12-3  moblock-0.9rc2-8  moblockcontrol-1.0-10  
              nvidia-utils-beta-180.37-2  nvidia-180.29-2  mythtv-vdpau-0.21-4  
              runit-1.8.0-62  runit-scripts-1.8.0-39  xscreensaver-5.08-2  

Total Download Size:    0.00 MB
Total Installed Size:   105.38 MB

Proceed with installation? [Y/n] y
checking package integrity...
(13/13) checking for file conflicts                 [####################################] 100%
( 1/13) upgrading system-templates                  [####################################] 100%
( 2/13) upgrading LinHES-config                     [####################################] 100%
status 1
( 3/13) installing xdotool                          [####################################] 100%
( 4/13) upgrading LinHES-system                     [####################################] 100%
ln: creating symbolic link `/etc/cron.daily/myth_mtc.sh': File exists
( 5/13) upgrading athcool                           [####################################] 100%
( 6/13) upgrading moblock                           [####################################] 100%
( 7/13) upgrading moblockcontrol                    [####################################] 100%
( 8/13) upgrading nvidia-utils-beta                 [####################################] 100%
-------------------------------
By using this package you accept the NVIDIA license,
which has been installed in /usr/share/licenses/nvidia/LICENSE
If you do not accept this license, you must remove the package immediately.
Dont forget to update your /etc/X11/xorg.conf
In order to use nvidia-settings, you need to install the gtk2 package.
In order to use nvidia-xconfig, you need to install the pkgconfig package.
-------------------------------
nvidia 9746 drops support for Geforce 3 and 4 cards
If you have such a card, install the nvidia-96xx, nvidia-96xx-utils,
nvidia-96xx-ck, nvidia-96xx-beyond, nvidia-96xx-suspend2 packages
For a list of supported cards, see /usr/share/doc/nvidia/supported-cards.txt
-------------------------------
This drivers are beta. We recommend to use drivers from extra repo.
( 9/13) installing nvidia                           [####################################] 100%
(10/13) upgrading mythtv-vdpau                      [####################################] 100%

As is with no guarantee, please do not file any bug reports against this package.
(11/13) upgrading runit                             [####################################] 100%
(12/13) upgrading runit-scripts                     [####################################] 100%
(13/13) upgrading xscreensaver                      [####################################] 100%

</code>

As to your original question about xscreensaver.  I rebooted, allowed it to come on, moved the mouse and it did come out.  I'll test it more extensively 
tomorrow and report back.

03/09/2009 07:49 pm - graysky
Major problem on reboot!

<code>

X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.26-ARCH i686 
Current Operating System: Linux myth-bathroom 2.6.28-LinHES #1 SMP PREEMPT Sat Feb 14 12:09:54 UTC 2009 i686
Build Date: 12 January 2009  10:25:53PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Mar  9 19:44:35 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Layout0"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Device0"
(**) |-->Input Device "Keyboard0"
(**) |-->Input Device "Mouse0"
(**) Option "AutoAddDevices" "False"
(**) Not automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
	/usr/share/fonts/misc,
	/usr/share/fonts/100dpi:unscaled,
	/usr/share/fonts/75dpi:unscaled,
	/usr/share/fonts/TTF,
	/usr/share/fonts/Type1
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81d59a0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 4.1
	X.Org XInput driver : 2.1
	X.Org Server Extension : 1.1
	X.Org Font Renderer : 0.6
(II) Loader running on linux
(--) using VT number 4

(--) PCI:*(0@2:0:0) nVidia Corporation GeForce 8400 GS rev 161, Mem @ 0xc2000000/0, 0xb0000000/0, 0xc0000000/0, I/O @ 0x00009000/0, BIOS @ 
0x????????/131072
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded by default.
(II) LoadModule: "dbe"

(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "type1"

(WW) Warning, couldn't open module type1
(II) UnloadModule: "type1"
(EE) Failed to load module "type1" (module does not exist, 0)
(II) LoadModule: "freetype"

(II) Loading /usr/lib/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.5.3, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.6
(II) Loading font FreeType
(II) LoadModule: "glx"

(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Server Extension
(II) NVIDIA GLX Module  180.37  Thu Mar  5 18:43:15 PST 2009
(II) Loading extension GLX
(II) LoadModule: "dri"

(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "nvidia"

(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Video Driver
(II) LoadModule: "kbd"

(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
(II) LoadModule: "mouse"

(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.1
(II) NVIDIA dlloader X Driver  180.37  Thu Mar  5 18:18:44 PST 2009
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 02@00:00:0
(II) Loading sub module "fb"
(II) LoadModule: "fb"

(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "wfb"
(II) LoadModule: "wfb"

(II) Loading /usr/lib/xorg/modules//libwfb.so
(II) Module wfb: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(II) resource ranges after probing:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) NVIDIA(0): Option "NoLogo" "1"
(**) NVIDIA(0): Option "DPI" "100 x 100"
(**) NVIDIA(0): Enabling RENDER acceleration
(II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) NVIDIA(0):     enabled.
(EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module! Please ensure
(EE) NVIDIA(0):     that there is a supported NVIDIA GPU in this system, and
(EE) NVIDIA(0):     that the NVIDIA device files have been created properly. 
(EE) NVIDIA(0):     Please consult the NVIDIA README for details.
(EE) NVIDIA(0):  *** Aborting ***
(II) UnloadModule: "nvidia"
(II) UnloadModule: "wfb"
(II) UnloadModule: "fb"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found
</code>

So I did this:

<code>
# pacman -S nvidia-beta
resolving dependencies...
looking for inter-conflicts...

Targets (1): nvidia-beta-180.37-2  

Total Download Size:    0.00 MB
Total Installed Size:   7.59 MB

Proceed with installation? [Y/n] y
checking package integrity...
(1/1) checking for file conflicts                   [####################################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
nvidia-beta: /lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko exists in filesystem
Errors occurred, no packages were upgraded.
[root@myth-bathroom]# pacman -Rd nvidia
(1/1) removing nvidia                               [####################################] 100%
[root@myth-bathroom]# 
[root@myth-bathroom]# pacman -S nvidia-beta
resolving dependencies...
looking for inter-conflicts...

Targets (1): nvidia-beta-180.37-2  

Total Download Size:    0.00 MB
Total Installed Size:   7.59 MB

Proceed with installation? [Y/n] y
checking package integrity...
(1/1) checking for file conflicts                   [####################################] 100%
(1/1) installing nvidia-beta                        [####################################] 100%
</code>

Everything worked after a reboot... what am I doing wrong?  It seems like there are conflict with the standard and the beta nvidia packages.

03/11/2009 09:04 pm - nickca
graysky: The dependencies with the VDPAU packages and the NVIDIA driver packages were all screwy until just today, I think. See my task about 
VDPAU dependencies, which has now been fixed. Now none of the VDPAU packages require the -beta drivers, and they will all work with the 180.29 
non-beta drivers. You should do a package sync, remove the -beta packages (use pacman -R --nodeps to force-remove them if you have to), install 
nvidia and nvidia-utils, then do an upgrade.

03/12/2009 04:07 am - graysky
Cool I can try that... I actually want the beta driver though since they have improved vdpau support - particularly 180.37.  BTW, here is the procedure to 
get the vdpau packages and the beta drivers installed from a clean install of R6.00.07 I tested last night which might be outdated now if you're saying 
they tweaked the dependencies on the stable driver:

<code>
# update the system
pacman -Syu

#remove the old packages
pacman -Rd mplayer mythtv
#install the vdpau packages
pacman -S mplayer-vdpau-nogui mythtv-vdpau

#remove the 180.29 stable drivers that got pulled down when you installed the vdpau packages
pacman -Rd nvidia nvidia-utils

#install the beta nvidia driver which brings the beta utils with it
pacman -S nvidia-beta

reboot
</code>

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
